# $Revision: 1.14 $, $Date: 2004/11/01 22:31:27 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	ExtUtils
%define	pnam	AutoInstall
Summary:	ExtUtils::AutoInstall - automatic install of dependencies via CPAN
Summary(pl):	ExtUtils::AutoInstall - automatyczna instalacja zalenoci z CPAN
Name:		perl-ExtUtils-AutoInstall
Version:	0.61
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	66f1696ee4dfb76cfe42a716da48e6f5
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ExtUtils::AutoInstall Perl module lets module writers to specify a
more sophisticated form of dependency information than the PREREQ_PM
option offered by ExtUtils::MakeMaker.  Most notable features include:

- Letting the user enable/disable optional dependencies.
- Support sane defaults by probing for the machine's capability.
- If not inside a cpan shell, use CPAN.pm to install dependencies.
- Enable/disable the associated tests automatically.
- Supply UNINST=1 when it is safe and possibly needed.
- Checks MANIFEST to avoid unnecessary grepping of EXE_FILES.
- Utilizes CPANPLUS and/or Sort::Versions where feasible.
- Offers check-only and skip-all Makefile.PL targets.
- Offers check-only and install-only Makefile targets.
- Take advantage of the 'sudo' command where available.

%description -l pl
Modu Perla ExtUtils::AutoInstall pozwala autorom moduw na
udostpnianie informacji o zalenociach w bardziej wyszukanej formie,
ni opcja PREREQ_PM obsugiwana przez ExtUtils::MakeMaker. Wikszo
godnych uwagi waciwoci to:

- Umoliwienie uytkownikom na wczanie/wyczanie zalenoci
  opcjonalnych.
- Wsparcie dla wartoci domylnych otrzymywanych poprzez sprawdzenie
  waciwoci maszyny.
- Korzystanie z CPAN.pm do instalacji zalenoci w przypadku uycia
  spoza powoki cpan.
- Automatyczne wczanie/wyczanie stowarzyszonych testw.
- Podanie UNINST=1, gdy jest to bezpieczne i prawdopodobnie potrzebne.
- Sprawdzenie MANIFEST, aby unikn niepotrzebnego przeszukiwania
  EXE_FILES.
- Wykorzystanie CPANPLUS i/lub Sort::Versions, gdy jest to moliwe.
- Udostpnienie celw Makefile.PL check-only i skip-all.
- Udostpnienie celw Makefile check-only i install-only.
- Wykorzystanie polecenia 'sudo', gdy jest ono dostpne.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"ExtUtils::AutoInstall")' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Changes README TODO
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-ExtUtils-AutoInstall.spec,v $
Revision 1.14  2004/11/01 22:31:27  adamg
- updated to 0.61

Revision 1.13  2004/10/24 14:41:59  paladine
- spelling fix

Revision 1.12  2004/05/06 18:09:33  ankry
- fixed perl-devel BR

Revision 1.11  2004/05/02 07:30:20  adamg
- updated to 0.59

Revision 1.10  2004/04/25 16:45:16  adamg
- updated to 0.57

Revision 1.9  2004/04/20 07:35:45  ankry
- license fixes and unification

Revision 1.8  2004/03/13 23:09:15  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.7  2004/01/24 22:17:56  arekm
- autoupdated to 0.56

Revision 1.6  2003/12/23 08:19:15  misi3k
- updated to 0.55

Revision 1.5  2003/09/15 09:42:41  adamg
- updated to 0.54

Revision 1.4  2003/09/09 10:24:34  ankry
- spaces -> tab

Revision 1.3  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.2  2003/08/20 22:41:31  ankry
- pl translations

Revision 1.1  2003/08/20 13:39:52  radek
- new
